#nullable enable
using ErsatzTV.Core.Domain;

namespace ErsatzTV.Core.Api.MediaCollections;

public record MultiCollectionResponseModel(
    int Id,
    string Name,
    List<MultiCollectionItemResponseModel> Items);

public record MultiCollectionItemResponseModel(
    int? CollectionId,
    int? SmartCollectionId,
    string Name,
    bool ScheduleAsGroup,
    PlaybackOrder PlaybackOrder,
    int Weight = 1);

public record PagedMultiCollectionsResponseModel(
    int TotalCount,
    List<MultiCollectionResponseModel> Page);
